/**
* DevExtreme (renovation/preact-wrapper/component.d.ts)
* Version: 20.2.0 (build 20154-2218)
* Build date: Tue Jun 02 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/* eslint-disable no-underscore-dangle */
import DOMComponent from '../../core/dom_component';

/** Warning! This type is used for internal purposes. Do not import it directly. */
export default class PreactWrapper extends DOMComponent {
  viewRef: any;

  getInstance(): this;

  _initMarkup(): void;

  _render(): void;

  getAllProps(isFirstRender: boolean): any;

  _getActionsMap(): any;

  _init(): any;

  _createViewRef(): any;

  _optionChanged(option: any): any;

  _addAction(name: string, config: any): any;

  _stateChange(name: string): (value: any) => void;

  _createTemplateComponent(props: any, templateOption: any, canBeAnonymous: boolean): any;

  _wrapKeyDownHandler(handler: (event: any, options: any) => any): any;

  // Public API
  repaint(): any;

  registerKeyHandler(key: string, handler: (e: any) => any): void;

  setAria(): any;
}
/* eslint-enable no-underscore-dangle */
