/**
* DevExtreme (renovation/utils/base-props.p.d.ts)
* Version: 20.2.0 (build 20154-2218)
* Build date: Tue Jun 02 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare type BaseWidgetPropsType = {
    accessKey?: string | null;
    activeStateEnabled?: boolean;
    disabled?: boolean;
    elementAttr?: {
        [name: string]: any;
    };
    focusStateEnabled?: boolean;
    height?: string | number | null;
    hint?: string;
    hoverStateEnabled?: boolean;
    onClick?: (e: any) => void;
    onContentReady?: (e: any) => any;
    onKeyDown?: (e: any, options: any) => any;
    rtlEnabled?: boolean;
    tabIndex?: number;
    visible?: boolean;
    width?: string | number | null;
};
export declare const BaseWidgetProps: BaseWidgetPropsType;
