/**
 * DevExtreme (renovation/utils/base-props.p.js)
 * Version: 20.2.0 (build 20154-2218)
 * Build date: Tue Jun 02 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.BaseWidgetProps = void 0;
var _config = require("../../core/config");
var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var BaseWidgetProps = exports.BaseWidgetProps = {
    accessKey: null,
    activeStateEnabled: false,
    disabled: false,
    focusStateEnabled: false,
    height: null,
    hoverStateEnabled: false,
    onContentReady: function() {},
    rtlEnabled: (0, _config2.default)().rtlEnabled,
    tabIndex: 0,
    visible: true,
    width: null
};
