/**
* DevExtreme (renovation/number-box.p.d.ts)
* Version: 20.2.0 (build 20154-2218)
* Build date: Tue Jun 02 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { WidgetProps } from "./widget.p";
export declare const viewFunction: ({ widgetRef }: NumberBox) => any;
export declare type NumberBoxPropsType = typeof WidgetProps & {
    invalidValueMessage?: string;
    max?: number;
    min?: number;
    mode?: "number" | "text" | "tel";
    showSpinButtons?: boolean;
    step?: number;
    useLargeSpinButtons?: boolean;
    value?: number;
    valueChange?: ((value: number) => void);
    defaultValue?: number;
};
export declare const NumberBoxProps: NumberBoxPropsType;
interface NumberBox {
    props: typeof NumberBoxProps;
    widgetRef: any;
    restAttributes: any;
}
export default function NumberBox(props: typeof NumberBoxProps): any;
export {};
