/**
* DevExtreme (renovation/select-box.p.d.ts)
* Version: 20.2.0 (build 20154-2218)
* Build date: Tue Jun 02 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { WidgetProps } from "./widget.p";
import DataSource, { DataSourceOptions } from "../data/data_source";
export declare const viewFunction: ({ widgetRef }: SelectBox) => any;
export declare type SelectBoxPropsType = typeof WidgetProps & {
    dataSource?: string | Array<string | any> | DataSource | DataSourceOptions;
    displayExpr?: string;
    value?: number;
    valueExpr?: string;
    valueChange?: ((value: number) => void);
    defaultValue?: number;
};
export declare const SelectBoxProps: SelectBoxPropsType;
interface SelectBox {
    props: typeof SelectBoxProps;
    widgetRef: any;
    restAttributes: any;
}
export default function SelectBox(props: typeof SelectBoxProps): any;
export {};
